ruby on rails – Can’t start app after running bundle update –bundler, can I fix it?

I tried to add redmineup_tags to application on server but after running:

bundle exec rake redmine:plugins NAME=redmineup_tags RAILS_ENV=development

I got error:

Traceback (most recent call last):
        20: from /usr/local/bin/rake:23:in `<main>'
        19: from /usr/local/lib/ruby/2.5.0/rubygems.rb:309:in `activate_bin_path'
        18: from /usr/local/lib/ruby/2.5.0/rubygems.rb:309:in `synchronize'
        17: from /usr/local/lib/ruby/2.5.0/rubygems.rb:311:in `block in activate_bin_path'
        16: from /usr/local/lib/ruby/2.5.0/rubygems.rb:243:in `finish_resolve'
        15: from /usr/local/lib/ruby/2.5.0/rubygems/request_set.rb:397:in `resolve_current'
        14: from /usr/local/lib/ruby/2.5.0/rubygems/request_set.rb:385:in `resolve'
        13: from /usr/local/lib/ruby/2.5.0/rubygems/resolver.rb:188:in `resolve'
        12: from /usr/local/lib/ruby/2.5.0/rubygems/resolver/molinillo/lib/molinillo/resolver.rb:42:in `resolve'
        11: from /usr/local/lib/ruby/2.5.0/rubygems/resolver/molinillo/lib/molinillo/resolution.rb:64:in `resolve'
        10: from /usr/local/lib/ruby/2.5.0/rubygems/resolver/molinillo/lib/molinillo/resolution.rb:106:in `start_resolution'
         9: from /usr/local/lib/ruby/2.5.0/rubygems/resolver/molinillo/lib/molinillo/resolution.rb:165:in `initial_state'
         8: from /usr/local/lib/ruby/2.5.0/rubygems/resolver/molinillo/lib/molinillo/delegates/specification_provider.rb:51:in `sort_dependencies'
         7: from /usr/local/lib/ruby/2.5.0/rubygems/resolver/molinillo/lib/molinillo/delegates/specification_provider.rb:69:in `with_no_such_dependency_error_handling'
         6: from /usr/local/lib/ruby/2.5.0/rubygems/resolver/molinillo/lib/molinillo/delegates/specification_provider.rb:52:in `block in sort_dependencies'
         5: from /usr/local/lib/ruby/2.5.0/rubygems/resolver.rb:277:in `sort_dependencies'
         4: from /usr/local/lib/ruby/2.5.0/rubygems/resolver.rb:277:in `with_index'
         3: from /usr/local/lib/ruby/2.5.0/rubygems/resolver.rb:277:in `sort_by'
         2: from /usr/local/lib/ruby/2.5.0/rubygems/resolver.rb:277:in `each'
         1: from /usr/local/lib/ruby/2.5.0/rubygems/resolver.rb:283:in `block in sort_dependencies'
/usr/local/lib/ruby/2.5.0/rubygems/resolver.rb:231:in `search_for': Unable to resolve dependency: user requested 'fileutils (= 1.6.0)' (Gem::UnsatisfiableDependencyError)

Except at the time last line was Unable to resolve dependency: user requested 'fileutils (= 1.0.2)' (Gem::UnsatisfiableDependencyError)

I followed instructions from similar issue on stack overflow, which was running bundler update --bundler
That updated a lot of my gems, including bundler -> 2.3.8. I restarted my app using sudo service httpd restart and now it doesn’t work:

App requires redmine_crm 0.0.56, even though in my back up lockfile it is 0.0.42. Nontheless I tried to update update this gem by changing it in lockfile and running bundle install. gem changed and a different error appears:

Raw Bundler exception Exception message:

Could not find redmine_crm-0.0.56 in any of the sources (Bundler::GemNotFound)

Backtrace:

/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler/spec_set.rb:91:in `block in materialize'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler/spec_set.rb:85:in `map!'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler/spec_set.rb:85:in `materialize'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler/definition.rb:171:in `specs'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler/definition.rb:238:in `specs_for'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler/definition.rb:227:in `requested_specs'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler/runtime.rb:108:in `block in definition_method'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler/runtime.rb:20:in `setup'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler.rb:107:in `setup'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/bundler/setup.rb:20:in `<top (required)>'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/home/redmine/.rvm/rubies/ruby-2.2.9/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:363:in `activate_gem'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:221:in `block in run_load_path_setup_code'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:527:in `running_bundler'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:220:in `run_load_path_setup_code'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/helper-scripts/rack-preloader.rb:91:in `preload_app'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/helper-scripts/rack-preloader.rb:189:in `block in <module:App>'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:380:in `run_block_and_record_step_progress'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/helper-scripts/rack-preloader.rb:188:in `<module:App>'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/helper-scripts/rack-preloader.rb:30:in `<module:PhusionPassenger>'
/home/redmine/.rvm/gems/ruby-2.2.9/gems/passenger-6.0.2/src/helper-scripts/rack-preloader.rb:29:in `<main>'

I also tried reinstalling bundler on older version and changing my lockfile to one from backup, but it didn’t help. I have a back up of working app, but it is from about a month ago, which means a lot of lost work. Is there a way to fix my app?

Leave a Comment